For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList feedback with filters
      • POSTSubmit feedback on a message
      • GETGet feedback statistics
      • GETGet specific feedback record
      • DELDelete feedback record
Dashboard
LogoLogo
Runtype APIFeedback

Submit feedback on a message

POST
/v1/feedback
POST
/v1/feedback
$curl -X POST https://api.runtype.com/v1/feedback \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "comment": "Great experience",
> "rating": 5,
> "recordId": "record_01jv0000000000000000000001",
> "type": "csat"
>}'
1{
2 "feedbackId": "string",
3 "message": "string",
4 "success": true
5}

Submit feedback (upvote/downvote/copy/csat/nps) on a message or conversation.

Was this page helpful?
Previous

Get feedback statistics

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects a map from strings to any.

Response

Feedback updated
feedbackIdstring
messagestring
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error